package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class QuarterlyRatioCollection extends AbstractObjectCollection 
{
    public QuarterlyRatioCollection()
    {
        super(QuarterlyRatioInfo.class);
    }
    public boolean add(QuarterlyRatioInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(QuarterlyRatioCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(QuarterlyRatioInfo item)
    {
        return removeObject(item);
    }
    public QuarterlyRatioInfo get(int index)
    {
        return(QuarterlyRatioInfo)getObject(index);
    }
    public QuarterlyRatioInfo get(Object key)
    {
        return(QuarterlyRatioInfo)getObject(key);
    }
    public void set(int index, QuarterlyRatioInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(QuarterlyRatioInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(QuarterlyRatioInfo item)
    {
        return super.indexOf(item);
    }
}